### File

`packages/ecl/components/ecl-modal/ecl-modal-body.component.ts`

### Description

Body component used inside the ECL Modal.

Optionally allows scrollable content inside the modal body.

### Extends

`ECLBaseDirective`

### Metadata

selector | `[eclModalBody]`
imports | `NgTemplateOutlet`
templateUrl | `./ecl-modal-body.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
isScrollable class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isScrollable
Type : `boolean`
Default value : `false`
When true, adds a modifier class to allow scrollable content inside the modal body.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies CSS classes for the modal body and scrollable modifier if enabled.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Applies CSS classes for the modal body and scrollable modifier if enabled. Returns : `string`

# results matching ""

# No results matching ""